# ncdf4Utils version 3.0.1
--------------------------

* Reactivated al.contour

# ncdf4Utils version 3.0
-------------------------

* Introduce rdoxygen2 commands in the R functions for easier and cleaner contruction of the documentation.
* 
* Include the possibility to plot results from the ICON model.
* Replaced fixed variable names like HSURF and FR\_LAND by their CF standard\_name.


# ncdf4Utils version 2.1.4
-------------------------

* correct error in plotmap.R in case option levs are given but cols not

# ncdf4Utils version 2.1.3
-------------------------
* correct bug in plotting flag\_values and flag\_meanings

affected modules:

* plotmap.R
* plot_colourbar.R

# ncdf4Utils version 2.1.2
-------------------------
correct bug for plotting wrong right triangle color in the color bar plot_colourbar.R

# ncdf4Utils version 2.1.1
-------------------------
v2.1.1 2018/01/15
Correct the DESCRIPTION file

# ncdf4Utils version 2.1
-------------------------
Removed: plotmap.old.R

Replaced: ncdf\_times.R by nccf\_times.R

In colfun.R

Fixed errors in get.ethz.palette and get.ncar.palette
In plot_colourbar.R

new options border, triangle_ends. Option sea.lab now given through plotmap options to be constistent with sea.col
In plotmap.R

new options sea.lab and lakes, changed option name scale_factor to scale.factor
In polymask.R

added support for multiple polygons
In windvec.R

added new option legend.scale


# ncdf4Utils version 2.0
-------------------------

**Changed functions:**

`plotmap`

* Has been rewritten in large parts. It should work now not just for geographical and rotated model coordinates, by for most structured grids, if additional geographic lat/lon data are provided for the model grid.
* An additional small model area can no longer be plotted. For this plot a rectangle of the small model area over the plot or use the old version `plotmap.old` 

*New Options*

* units - default=NULL (overwrites the units from the netCDF file)
* longname - default=NULL (overwrites the longname from the netCDF file)
* add.offset - default=0
* scale.factor - default=1
* geo.coordinate.names - default=c("lon,"lat") 2D fields of the geographical longitude and latitude at the model grid points

*Removed Options*

* file.small
* sponge.small
* lsm.file.small

**New functions:**

`windvec` 

* plots wind vectors over a given plot

`geo2mod`

* converts geographical coordinates to model coordinates

`get.ethz.palette`

* gets a palette from the web page https://wiki.c2sm.ethz.ch/Data/VisNCLCosmoLibraryColorTables

`get.ncar.palette`

* gets a palette from the web page http://www.ncl.ucar.edu/Document/Graphics/color_table_gallery.shtml

**Depecreated functions:**

The old version of the function `plotmap` is now called `plotmap.old`. This function will stay as is and will not be further developped.

# ncdf4Utils version 1.1
-------------------------

**Changed functions:**

`plotmap`	

* corrected a bug preventing sea color to be blue by default
* new parameter "smoothed". If set to "T" the plot will be smoothed. 

# ncdf4Utils version 1.0
-------------------------

**Changed functions:**

`plotmap` 

* corrected bug in case of grid.txt=T
* eliminated artificial straight lines across the plot showing up under some circumstances
* eliminated errors plotting grid and writing grid labels in some cases when the date line or/and a pole lies in the plotting area

**New functions:**

`polymask`

* creates a mask file from a given polygon

# ncdf4Utils version 0.5-3
-------------------------

**Changed functions:**

`plotmap`

* Introduced new paramenter "pollonshift" to account for pollat=90, pollon=180 (TRUE, default) and pollat=90, pollon=0 (FALSE) representing rotated == geographical grid

`geo2rot`

* Introduced new paramenter "pollonshift" to account for pollat=90, pollon=180 (TRUE, default)and pollat=90, pollon=0 (FALSE) representing rotated == geographical grid
* Corrected error in case pollat=90, pollon /= 0., pollonshift=FALSE

# ncdf4Utils version 0.5-2
-------------------------

**Changed functions:**

`ncdf_times`

* changed default time from CET to UTC
* changed input format of reference time to %Y-%m-%d %H:%M:%

`plot_colourbar`

* changed label "sea" to "water"
* Direction of the axis description now depends on which side the axis is plotted.

`plotmap`

* Grid labels can be set on and of for each axis separately
* New parameter grid.lwd for the line width of the grid
* Missing reading of attribute earth_radius for multiple_rotated_pole transformation added
* Distinguish for 3D variables whether the third dimension is time or level

# ncdf4Utils version 0.5-1
-------------------------

**Removed functions:**

`nc_open`

* is no longer necessary since ncdf4 package (version >= 1.6.1)
             
`plotmap_rot`

* the new plotmap.R function includes rotated coordinates

**Changed functions:**

`geo2rot`

* calculates the special case pollat=90.,pollon=0.,polgam=0. (i.e. same geographical coordinates) now logically (no longer pollat=90.,pollon=180.,polgam=0. or pollat=90.,pollon=0.,polgam=180.for geographical coordinates) 

`plotmap`

* This function has been re-written and includes (and thus replaces) the former plotmap.R and plotmap_rot.R functions. The new function now decides on the existance and value of the grid mapping parameter in the netCDF file
* A new grid mapping for multiple rotated pole has been added.
* A new option is available: "na.col". The colour of undefined grid pixels is defined by this option. By default it is transparent.

**New functions:**

`geo2multirot`

* Transforms geographical to multiple rotated pole coordinates (usage: geo2multirot) or multiple rotated pole to geographical coordinates (usage: multirot2geo)


# ncdf4Utils version 0.4-10
-------------------------

initial version in netCDF4 based on netCDF3 version ncdfUtils

